curl --request POST \
--url https://cloudlab.scispot.io/labsheets/assign-location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"labsheet": "Sample Manager",
"locationId": "<uuid>",
"idType": "ID",
"assignments": [
{
"id": "SMPL000001",
"position": "A1"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
labsheet: 'Sample Manager',
locationId: '<uuid>',
idType: 'ID',
assignments: [{id: 'SMPL000001', position: 'A1'}]
})
};
fetch('https://cloudlab.scispot.io/labsheets/assign-location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloudlab.scispot.io/labsheets/assign-location"
payload = {
"labsheet": "Sample Manager",
"locationId": "<uuid>",
"idType": "ID",
"assignments": [
{
"id": "SMPL000001",
"position": "A1"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"assignedPositions": [
{
"id": "SMPL000001",
"position": "A1"
}
]
}{
"success": false,
"message": "Invalid Authentication Token"
}{
"success": false,
"message": "Missing Authentication Token"
}{
"success": false,
"message": "Validation error"
}{
"success": false,
"message": "Operation failed"
}Assign Location
Assigns a physical location to one or more labsheet entries (rows). This API endpoint supports assigning to locations as well as manifests. When assigning samples to manifest locations, it is possible to use the optional position field to assign the well position the samples are to be assigned.
Notes:
-
All assignments in a single request must use the same idType
-
Position assignment is optional; entries can be assigned to a location without specific positions
-
The system validates that the location exists before processing assignements
curl --request POST \
--url https://cloudlab.scispot.io/labsheets/assign-location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"labsheet": "Sample Manager",
"locationId": "<uuid>",
"idType": "ID",
"assignments": [
{
"id": "SMPL000001",
"position": "A1"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
labsheet: 'Sample Manager',
locationId: '<uuid>',
idType: 'ID',
assignments: [{id: 'SMPL000001', position: 'A1'}]
})
};
fetch('https://cloudlab.scispot.io/labsheets/assign-location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloudlab.scispot.io/labsheets/assign-location"
payload = {
"labsheet": "Sample Manager",
"locationId": "<uuid>",
"idType": "ID",
"assignments": [
{
"id": "SMPL000001",
"position": "A1"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"assignedPositions": [
{
"id": "SMPL000001",
"position": "A1"
}
]
}{
"success": false,
"message": "Invalid Authentication Token"
}{
"success": false,
"message": "Missing Authentication Token"
}{
"success": false,
"message": "Validation error"
}{
"success": false,
"message": "Operation failed"
}Authorizations
Personal access token from Scispot Account → Personal Tokens
Body
The name of the labsheet where the rows are located.
The uuid of the location to assign the rows to.
The array of rows to assign the location to.
Show child attributes
Show child attributes
ID, ID_BARCODE, ROW_UUID, SCISPOT_BARCODE Response
OK
